# QStackedLayout Class Reference

### [com.trolltech.qt.gui package]

Inherits QLayout.

### Constructor

- void QStackedLayout()
- void QStackedLayout(QLayout parentLayout)
- void QStackedLayout(QWidget parent)

### Constructor Properties

- prototype: The QStackedLayout prototype object
- StackOne
- StackAll
- StackingMode( value )

### Prototype Object Properties

The QStackedLayout prototype object inherits properties from the QLayout prototype object and also has the following properties.

- int addStackedWidget(QWidget w)
- QWidget currentWidget()
- int insertWidget(int index, QWidget w)
- QWidget widget(int arg__1)

### Instance Properties

QStackedLayout objects inherit properties from the QStackedLayout prototype object and also have the following properties.

- currentIndex
- stackingMode